<div>
  <h2 mat-dialog-title>
    <span *ngIf="data?.isEdition">Edición de usuario</span>
    <span *ngIf="!data?.isEdition">Creación de usuario</span>
  </h2>
  <mat-dialog-content>
    <form [formGroup]="userForm">
      <div class="content-form">

        <div class="content-form__item">
          <mat-form-field appearance="fill" class="item">
            <mat-label> Tipo de identificación: </mat-label>
            <mat-select formControlName="tipoId">
              <mat-option *ngFor="let typeId of typeIdList" [value]="typeId.tipoId">
                <span>{{typeId.tipoId}}</span>
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field appearance="fill" class="item">
            <mat-label>Identificación</mat-label>
            <input matInput formControlName="identificacion" (keypress)="numberValidation($event)">
          </mat-form-field>
          <mat-form-field appearance="fill" class="item">
            <mat-label>Nombre</mat-label>
            <input matInput formControlName="nombre">
          </mat-form-field>

        </div>
        <div class="content-form__item">

          <mat-form-field appearance="fill" class="item">
            <mat-label>Apellidos</mat-label>
            <input matInput formControlName="apellidos">
          </mat-form-field>
          <mat-form-field appearance="fill" class="item">
            <mat-label>Edad</mat-label>
            <input matInput formControlName="edad" (keypress)="numberValidation($event)" maxlength="2">
          </mat-form-field>
          <mat-form-field appearance="fill" class="item">
            <mat-label>Telefono</mat-label>
            <input matInput formControlName="telefono" (keypress)="numberValidation($event)" maxlength="12">
          </mat-form-field>
        </div>
        <div class="content-form__item">
          <mat-form-field appearance="fill" class="item">
            <mat-label>Dirección</mat-label>
            <input matInput formControlName="direccion">
          </mat-form-field>
          <mat-form-field appearance="fill" class="item">
            <mat-label>Origen</mat-label>
            <input matInput formControlName="origen">
          </mat-form-field>
        </div>
      </div>
    </form>
  </mat-dialog-content>
  <mat-dialog-actions class="actions-dialog">
    <button mat-button mat-dialog-close>Cancelar</button>
    <button mat-flat-button color="primary" (click)="addUser(userForm.value)"
      [disabled]="userForm.invalid" [mat-dialog-close]="userForm.value">Guardar</button>
  </mat-dialog-actions>
</div>
